<template>
  <q-page class="flex flex-top q-pa-xl">
    <question-card-creation
      v-on:saving="onSubmit"
      v-bind:options="tagsSuggestions"
    />
  </q-page>
</template>

<script>
export default {
  name: 'QuizCreation',
  data () {
    return {
      working: true,
      tagsSuggestions: []
    }
  },
  mounted () {
    this.$connection.get('api/tag/list')
      .then((response) => {
        this.tagsSuggestions = response.data.map((item) => item.label)
      })
      .catch(() => {
        this.$q.notify({
          color: 'negative',
          textColor: 'white',
          icon: 'cloud_off',
          message: 'Error al recuperar información.'
        })
      })
  },
  components: {
    QuestionCardCreation: () => import('../../components/question/QuestionCardCreation')
  },
  methods: {
    onSubmit (val, reset) {
      this.$store.dispatch('current/addNewQuestion', val)
        .then(reset())
        .catch(() => this.$store.dispatch('auth/logOut'))
    },
    onReset () {
      this.$router.go(-1)
    }
  }
}
</script>
